
        <!-- app invoice View Page -->
        <section class="invoice-view-wrapper ">
            <div class="row">
            <!-- invoice view page -->
            <div class="col xl9 m8 s12" id="content">
              <div class="card">
                <div class="card-content invoice-print-area">
                  <!-- header section -->
                  <div class="row invoice-date-number">
                    <div class="col xl4 s12">
                      <span class="invoice-number mr-1">Société : </span>
                      <span>{{agence.nom}}</span>
                    <br/>
                      <span class="invoice-number mr-1">Adresse: </span>
                      <span>{{agence.ville}} {{agence.adressepostale}}</span>
                      <br/>
                      <span class="invoice-number mr-1">Telephone: </span>
                      <span>{{agence.tel}}</span>
                    </div>
                    <div class="col xl8 s12">
                      <div class="invoice-date display-flex align-items-center flex-wrap">
                       
                          <small class="invoice-number mr-1">N°Facture:</small>
                          <span>{{id}}</span>
                        
                       

                      </div>
                    </div>
                  </div>
               
                  <div class="divider mb-3 mt-3"></div>
                  <!-- invoice address and contact -->
                  <div class="row invoice-info">
                    <div class="col m6 s12">
                      <div class="invoice-address">
                        <small class="invoice-number mr-1">N°Client:</small>
                        <span>{{facture.client}}</span>
                      </div>
                      <div class="invoice-address">
                        <small class="invoice-number mr-1">Date:</small>
                        <span>{{facture.date}}</span>
                      </div>
                      <div class="invoice-address">
                        <small class="invoice-number mr-1">Delai:</small>
                        <span>{{facture.delai}}</span>
                      </div>
                     
                    </div>
                    <div class="col m6 s12">
                      <div class="divider show-on-small hide-on-med-and-up mb-3"></div>
                      <h6 class="invoice-to">Client</h6>
                      <div class="invoice-address">
                        <small class="invoice-number mr-1">Nom Prenom:</small>

                        <span>{{client.nom}} {{client.prenom}}</span>
                      </div>
                      <div class="invoice-address">
                        <small class="invoice-number mr-1">Cin:</small>

                        <span>{{client.cin}} </span>
                      </div>
                      <div class="invoice-address">
                        <small class="invoice-number mr-1">Adresse:</small>

                        <span>{{client.ville}}  {{client.codepostale}}</span>
                      </div>
                      <div class="invoice-address">
                        <small class="invoice-number mr-1">Telephone:</small>

                        <span>{{client.tel1}}</span>
                      </div>
                    </div>
                  </div>
                  <div class="divider mb-3 mt-3"></div>
                  <!-- product details table-->
                  <div class="invoice-product-details">
                    <table class="striped responsive-table">
                      <thead>
                        <tr>
                          <th>Article</th>
                          <th>Prix</th>
                          <th>TVA</th>
                          <th>PrixTTC</th>
                          <th>Qte</th>

                          <th class="right-align">Prix Total</th>
                        </tr>
                      </thead>
                      <tbody>
                          

                        <tr *ngFor="let a of t; index as i;">
                          <td>{{a.nom}}</td>
                          <td>{{a.prix}}</td>
                          <td>{{a.tva}}</td>
                          <td>{{a.prixttc}}</td>
                          <td>{{a.qte}}</td>

                          <td class="indigo-text right-align">{{a.prixtotal}} Dt </td>
                        
                        </tr>
                   
                      </tbody>
                    </table>
                  </div>
                  <!-- invoice subtotal -->
                  <div class="divider mt-3 mb-3"></div>
                  <div class="invoice-subtotal">
                    <div class="row">
                      <div class="col m5 s12">
                        <p>.</p>
            
                        <img id='barcode' 
                        src="https://api.qrserver.com/v1/create-qr-code/?data={{agence.nom}}&amp;size=100x100" 
                        alt="" 
                        title="Code" 
                        width="100" 
                        height="100" />
                      </div>
                      <div class="col xl4 m7 s12 offset-xl3">
                        <ul>
                         
                         
                          
                          <li class="divider mt-2 mb-2"></li>
                          <li class="display-flex justify-content-between">
                            <span class="invoice-subtotal-title">Prix totale</span>
                            <h6 class="invoice-subtotal-value" style="font-size: 12px;">{{facture.Prixtotal}} Dt</h6>
                          </li>
                          
                        </ul>
                      </div>
                    </div>
                   
                  </div>
                </div>
              </div>
            </div>
            <!-- invoice action  -->
            <div class="col xl3 m4 s12">
              <div class="card invoice-action-wrapper">
                <div class="card-content">
                  <div class="invoice-action-btn">
                    <a href="#"
                      class="btn indigo waves-effect waves-light display-flex align-items-center justify-content-center">
                      <i class="material-icons mr-4">check</i>
                      <span class="text-nowrap">Envoyer contrat</span>
                    </a>
                  </div>
                  <div class="invoice-action-btn">
                    <a  class="btn-block btn btn-light-indigo waves-effect waves-light invoice-print">
                      <span>Imprimer</span>
                    </a>
                  </div>
                  <div class="invoice-action-btn">
                    <a  class="btn-block btn btn-light-indigo waves-effect waves-light">
                      <span >Telecharge</span>
                    </a>
                  </div>
                  
                </div>
              </div>
            </div>
            </div>
            </section><!-- START RIGHT SIDEBAR NAV -->
            
            